Skip to main content
GET
Get Reward

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

rewardId
string
required

A unique reward ID.

Example:

"rew_2erjvECLs92GYzKbak3QkyTV"

Response

Returns a reward object if a valid identifier was provided.

id
string
required

Unique reward ID, assigned by Voucherify.

Example:

"rew_nIy4gHpQHle2c3pNMwuj7G6j"

name
string
required

Reward name.

stock
integer | null
required

Configurable for material rewards. The number of units of the product that you want to share as a reward. Use this parameter to code a stock-taking logic.

redeemed
integer | null
required

Defines the number of already invoked (successful) reward redemptions.

metadata
object
required

The metadata object stores all custom attributes assigned to the reward. A set of key/value pairs that you can attach to a reward object. It can be useful for storing additional information about the reward in a structured format.

type
enum<string>
required

Reward type.

Available options:
CAMPAIGN,
COIN,
MATERIAL
created_at
string<date-time>
required

Timestamp representing the date and time when the reward was created. The value is shown in the ISO 8601 format.

Example:

"2022-08-11T14:49:22.586Z"

updated_at
string<date-time> | null
required

Timestamp representing the date and time when the reward was updated. The value is shown in the ISO 8601 format.

Example:

"2022-08-11T16:01:34.885Z"

object
enum<string>
default:reward
required

The type of the object represented by the JSON. This object stores information about the reward.

Available options:
reward
attributes
object

These properties are configurable for material rewards.

parameters
Digital · object

Defines how the reward is generated.

Last modified on February 3, 2026